org.apache.sysds.hops.codegen.cplan.java

## Class Binary

- java.lang.Object
- - org.apache.sysds.hops.codegen.cplan.CodeTemplate
  - - org.apache.sysds.hops.codegen.cplan.java.Binary

    public class Binary
    extends CodeTemplate

### Constructor Summary

Constructors
Constructor and Description
`Binary()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getTemplate(CNodeBinary.BinType type, boolean sparseLhs, boolean sparseRhs, boolean scalarVector, boolean scalarInput, boolean vectorVector)`

### Methods inherited from class org.apache.sysds.hops.codegen.cplan.CodeTemplate

`getTemplate, getTemplate, getTemplate, getTemplate`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Binary

    public Binary()

### Method Detail

#### getTemplate

    public String getTemplate(CNodeBinary.BinType type,
                              boolean sparseLhs,
                              boolean sparseRhs,
                              boolean scalarVector,
                              boolean scalarInput,
                              boolean vectorVector)

Overrides:
  `getTemplate` in class `CodeTemplate`